﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.ComponentModel.Composition.Primitives;
using System.Linq;
using System.Text;
using DependencyInjection7.Abstractions;

namespace DependencyInjection7.Domain
{
    [Export(typeof(ShoppingCart))]
    class ShoppingCart
    {
        private readonly ITaxCalculator _taxCalculator;

        [ImportingConstructor]
        public ShoppingCart(ITaxCalculator taxCalculator)
        {
            _taxCalculator = taxCalculator;
        }

        public decimal CalculatePrice(params LineItem[] lineItems)
        {
            return _taxCalculator.AddTax(lineItems.Sum(li => li.Price * li.Quantity));
        }
    }
}