﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DependencyInjection7.Abstractions;
using DependencyInjection7.Utility;

namespace DependencyInjection7.Functionality
{
    [CustomExport(typeof(ITaxCalculator), ExportModes.Live)]
    class RealTaxCalculator : ITaxCalculator
    {
        public decimal AddTax(decimal amount)
        {
            // This would likely do something like connecting to a service. 
            // Here I will instead just use a 5% tax so that we can differentiate between the tax calculators
            Console.WriteLine("Calling the Real Tax Calculator");
            return amount * 1.05m;
        }
    }
}
