﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition.Hosting;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DependencyInjection7.Domain;
using DependencyInjection7.Utility;

namespace DependencyInjection7
{
    class Program
    {
        // Modify this to change the mode that the application runs in.
        public const ExportModes ExportMode = ExportModes.Fake;

        static void Main(string[] args)
        {
            AssemblyCatalog catalog = new AssemblyCatalog(System.Reflection.Assembly.GetExecutingAssembly());
            CompositionContainer container = new CompositionContainer(catalog);
            ShoppingCart cart = container.GetExportedValue<ShoppingCart>();
            //container.SatisfyImportsOnce(cart);

            var chair = new LineItem() { Name = "Chair", Price = 20, Quantity = 1 };
            var price = cart.CalculatePrice(chair);

            Console.WriteLine(price);
            Console.ReadLine();
        }
    }
}
