﻿using System;
using System.ComponentModel.Composition;

namespace DependencyInjection7.Utility
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
    public class CustomExportAttribute : ExportAttribute
    {
        public CustomExportAttribute(Type type, ExportModes exportMode)
            : base(GetType(type, exportMode))
        {

        }

        private static Type GetType(Type type, ExportModes mode)
        {
            if (mode == Program.ExportMode)
            {
                return type;
            }
            return typeof(NoType);
        }

        private class NoType
        {
        }
    }
}